Debian Bug report logs - #694257
ITP: libfdk-aac -- The Fraunhofer FDK AAC Codec Library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Carlos Alberto Lopez Perez <clopez@igalia.com>

Date: Sat, 24 Nov 2012 19:30:02 UTC

Owned by: Romain Beauxis <toots@rastageeks.org>

Severity: wishlist

Fixed in version fdk-aac/0.1.1+20130514-1

Done: Romain Beauxis <toots@rastageeks.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org, marillat@free.fr, martin@martin.st, wnpp@debian.org:
Bug#694257; Package wnpp. (Sat, 24 Nov 2012 19:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
New Bug report received and forwarded. Copy sent to pkg-multimedia-maintainers@lists.alioth.debian.org, marillat@free.fr, martin@martin.st, wnpp@debian.org. (Sat, 24 Nov 2012 19:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libfdk-aac -- The Fraunhofer FDK AAC Codec Library
Date: Sat, 24 Nov 2012 20:27:54 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: pkg-multimedia-maintainers@lists.alioth.debian.org, marillat@free.fr, martin@martin.st

* Package name    : libfdk-aac
  Version         : 0.1.1
  Upstream Author : Martin Storsjo <martin@martin.st>
* URL             : http://opencore-amr.git.sourceforge.net/git/gitweb.cgi?p=opencore-amr/fdk-aac
                    git://opencore-amr.git.sourceforge.net/gitroot/opencore-amr/fdk-aac
* License         : custom copyleft [1]
  Programming Lang: C++
  Description     : The Fraunhofer FDK AAC Codec Library

 Fraunhofer FDK AAC library, is an encoding and decoding library for the
 AAC audio format.
 .
 Fraunhofer's FDK AAC code provides a complete, high-quality audio
 solution. Fraunhofer does not only contributed codec code, but also
 the audio systems knowledge and profound experience as the primary AAC
 and MP3 inventor.
 

This library was released as part of the Android Jelly Bean source code,
and was repackaged by the opencore-amr project. Check:
http://sourceforge.net/mailarchive/message.php?msg_id=29526038


[1] http://opencore-amr.git.sourceforge.net/git/gitweb.cgi?p=opencore-amr/fdk-aac;a=blob;f=NOTICE

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694257; Package wnpp. (Sun, 25 Nov 2012 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Fabian Greffrath" <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 25 Nov 2012 20:15:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: "Fabian Greffrath" <fabian@greffrath.com>
To: "Carlos Alberto Lopez Perez" <clopez@igalia.com>, 694257@bugs.debian.org
Cc: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: Re: Bug#694257: RFP: libfdk-aac -- The Fraunhofer FDK AAC Codec Library
Date: Sun, 25 Nov 2012 21:11:22 +0100
> * License         : custom copyleft [1]

The license contains some additional restrictions that render it non-free,
it is at least considered so by the Libav project. This will somehow damp
down the interest in this package...

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694257; Package wnpp. (Sun, 25 Nov 2012 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Fabian Greffrath" <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 25 Nov 2012 20:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694257; Package wnpp. (Mon, 08 Apr 2013 00:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Beauxis <toots@rastageeks.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 08 Apr 2013 00:42:04 GMT) Full text and rfc822 format available.

Message #20 received at 694257@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: Fabian Greffrath <fabian@greffrath.com>, 694257@bugs.debian.org
Cc: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: fdk-aac: who knows more?
Date: Mon, 8 Apr 2013 02:39:13 +0200
Been reading the license. It's nice to point out explicit terms that
are deemed non-free to back-up any claim, otherwise it sounds like
FUD..

The part of the license that does not seem DFSG-compliant to me is this one:

"You may not charge copyright license fees for anyone to use, copy or
distribute the FDK AAC Codec software or your modifications thereto."

This indeed appears to contradict DSFG #6:

---
6: No Discrimination Against Fields of Endeavor

The license must not restrict anyone from making use of the program in
a specific field of endeavor. For example, it may not restrict the
program from being used in a business, or from being used for genetic
research.
---

HOWEVER, I am not sure what the term "COPYRIGHT LICENSE" exactly
means. I would like to know if someone else could shed more light on
this expression, perhaps with some german legal background as I
suspect it to be the litteral translation by the Fraunhofer institute
of some german legal notion.

If one thinks of the Android case where this code was extracted from,
this part of the license seems to mean that it is possible to
distribute and charge for a software that incorporates the encoder in
binary form _but_ that free access to the source code, without a
"copyright license fee", must be provided, which is what Android is
doing and the reason this code has been released to begin with.

If that is indeed the meaning of the license, then this would pretty
much be equivalent to the GPL requirements on modification and access
to the source code and so I would not see any other reason to consider
this license non-free.

Anyone?

Romain

2012/9/3 Fabian Greffrath <fabian@greffrath.com>:
> Am 02.08.2012 10:04, schrieb Fabian Greffrath:
>
>> Is fdk-aac finally the first *free* high-quality AAC encoder or is it
>> just the next *non-free* one after FAAC?
>
>
> Nobody?
>
>
>
> _______________________________________________
> pkg-multimedia-maintainers mailing list
> pkg-multimedia-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-multimedia-maintainers



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694257; Package wnpp. (Thu, 09 May 2013 21:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam M. Costello" <bug.amc+6+@nicemice.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 09 May 2013 21:33:09 GMT) Full text and rfc822 format available.

Message #25 received at 694257@bugs.debian.org (full text, mbox):

From: "Adam M. Costello" <bug.amc+6+@nicemice.net>
To: Romain Beauxis <toots@rastageeks.org>
Cc: Fabian Greffrath <fabian@greffrath.com>, 694257@bugs.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: fdk-aac: who knows more?
Date: Thu, 9 May 2013 21:27:41 +0000
Fabian Greffrath <fabian@greffrath.com>:

> Is fdk-aac finally the first *free* high-quality AAC encoder or is it
> just the next *non-free* one after FAAC?

From what I've read, FAAC is not a high-quality AAC encoder.  As far as
I know, fdk-aac is the only high-quality open-source AAC encoder.

I don't know if fdk-aac is DFSG-free, or GPL-compatible, but even if
it's neither, Debian could still package it, right?  There's also a
command-line tool, fdkaac, that uses it.

Of course, the library would be much more useful if avconv could use it.
If libfdk-aac is GPL-incompatible, what does that imply?  That avconv
must not require libfdk-aac to be present at runtime?  Could it check
for the existence of libfdk-aac and dlopen() it if it's found?  Would
that make them independent enough that their licenses wouldn't need to
be compatible?

It's a shame that various open-source licenses fight each other and thus
impede rather than promote the development of free software.

AMC



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694257; Package wnpp. (Fri, 10 May 2013 02:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 May 2013 02:39:08 GMT) Full text and rfc822 format available.

Message #30 received at 694257@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: "Adam M. Costello" <bug.amc+6+@nicemice.net>, 694257@bugs.debian.org
Cc: Romain Beauxis <toots@rastageeks.org>, Fabian Greffrath <fabian@greffrath.com>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#694257: fdk-aac: who knows more?
Date: Fri, 10 May 2013 04:36:57 +0200
[Message part 1 (text/plain, inline)]
On 09/05/13 23:27, Adam M. Costello wrote:
> Fabian Greffrath <fabian@greffrath.com>:
> 
>> Is fdk-aac finally the first *free* high-quality AAC encoder or is it
>> just the next *non-free* one after FAAC?
> 
> From what I've read, FAAC is not a high-quality AAC encoder.  As far as
> I know, fdk-aac is the only high-quality open-source AAC encoder.
> 
> I don't know if fdk-aac is DFSG-free, or GPL-compatible, but even if
> it's neither, Debian could still package it, right?  There's also a
> command-line tool, fdkaac, that uses it.
> 

Yes. If you are interested in packaging it, please go ahead.


> Of course, the library would be much more useful if avconv could use it.
> If libfdk-aac is GPL-incompatible, what does that imply?  That avconv
> must not require libfdk-aac to be present at runtime?  Could it check
> for the existence of libfdk-aac and dlopen() it if it's found?  Would
> that make them independent enough that their licenses wouldn't need to
> be compatible?

The thing is that libav (ffmpeg) is LGPL (not GPL). So, my understanding
is that it shouldn't be a problem to use a third-party library (fdk-aac
or whatever) even if this library is GPL-incompatible (or even proprietary).

I tried to clarify this point with libav developers [1]. But the replies
I got where not clear to me so I gave up. They seem to be more
interested in improving the internal AAC encoder of libav.

I still think that it shouldn't be any problem by linking libav with
fdk-aac or any other library given the LGPL license of libav. But I am
not a lawyer, maybe I'm wrong.

> 
> It's a shame that various open-source licenses fight each other and thus
> impede rather than promote the development of free software.
> 

Yes. I agree. This whole incompatibility between open source licenses is
a complete mess and a PITA for everybody.

I was pushing to ensure that the copyleft-next license that Richard
Fontana is creating address this specific point [2]


Regards!
--------



[1] http://thread.gmane.org/gmane.comp.video.ffmpeg.libav.user/9395
[2] https://github.com/richardfontana/copyleft-next/issues/15

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694257; Package wnpp. (Fri, 10 May 2013 05:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arto Jantunen <viiru@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 May 2013 05:45:04 GMT) Full text and rfc822 format available.

Message #35 received at 694257@bugs.debian.org (full text, mbox):

From: Arto Jantunen <viiru@debian.org>
To: 694257@bugs.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#694257: fdk-aac: who knows more?
Date: Fri, 10 May 2013 08:41:46 +0300
Carlos Alberto Lopez Perez <clopez@igalia.com> writes:

> On 09/05/13 23:27, Adam M. Costello wrote:
>> Fabian Greffrath <fabian@greffrath.com>:
>> Of course, the library would be much more useful if avconv could use it.
>> If libfdk-aac is GPL-incompatible, what does that imply?  That avconv
>> must not require libfdk-aac to be present at runtime?  Could it check
>> for the existence of libfdk-aac and dlopen() it if it's found?  Would
>> that make them independent enough that their licenses wouldn't need to
>> be compatible?
>
> The thing is that libav (ffmpeg) is LGPL (not GPL). So, my understanding
> is that it shouldn't be a problem to use a third-party library (fdk-aac
> or whatever) even if this library is GPL-incompatible (or even proprietary).
>
> I tried to clarify this point with libav developers [1]. But the replies
> I got where not clear to me so I gave up. They seem to be more
> interested in improving the internal AAC encoder of libav.
>
> I still think that it shouldn't be any problem by linking libav with
> fdk-aac or any other library given the LGPL license of libav. But I am
> not a lawyer, maybe I'm wrong.

As far as I understand you are indeed mistaken about the difference
between GPL and LGPL.

The reason why GPL licensed software cannot use a GPL-incompatible
library is that the resulting binary inherits both licenses. If the
licenses are not compatible, the binary cannot be legally distributed at
all (it has no valid license).

The usual reason why certain licenses are not compatible with the GPL is
the clause that says "You may not impose any further restrictions on the
recipients' exercise of the rights granted herein." causing a license
that has a clause that the GPL does not have to immediately become
incompatible (the BSD advertisement clause is the most common one, for
example OpenSSL has this). This problematic clause is the exact same in
both GPL and LGPL.

The difference between the GPL and the LGPL does solve the problem if
the program you are developing wants to link to both LGPL licensed and
GPL incompatible libraries, assuming that the license of the program
itself is not either GPL or LGPL. Parts of libav are GPL and the rest is
LGPL, thus the problem remains.

-- 
Arto Jantunen



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694257; Package wnpp. (Fri, 10 May 2013 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 May 2013 11:33:04 GMT) Full text and rfc822 format available.

Message #40 received at 694257@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Arto Jantunen <viiru@debian.org>, 694257@bugs.debian.org
Cc: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#694257: fdk-aac: who knows more?
Date: Fri, 10 May 2013 13:28:20 +0200
[Message part 1 (text/plain, inline)]
On 10/05/13 07:41, Arto Jantunen wrote:
> The difference between the GPL and the LGPL does solve the problem if
> the program you are developing wants to link to both LGPL licensed and
> GPL incompatible libraries, assuming that the license of the program
> itself is not either GPL or LGPL. Parts of libav are GPL and the rest is
> LGPL, thus the problem remains.

So the problem all boils down that the fact that libav contains GPL code?

I was supposing that libav was 100% LGPL (with no GPL code). If libav
contains GPL code then the whole viral nature of the GPL license will
entangle everything. AFAIK there is no practical difference between
being libav 100% GPL or beeing libav 1% GPL. You have to obey the GPL in
both cases, which means that you can't link libav with GPL-incompatible
license software.

Isn't it?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694257; Package wnpp. (Fri, 10 May 2013 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arto Jantunen <viiru@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 May 2013 12:15:04 GMT) Full text and rfc822 format available.

Message #45 received at 694257@bugs.debian.org (full text, mbox):

From: Arto Jantunen <viiru@debian.org>
To: 694257@bugs.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#694257: fdk-aac: who knows more?
Date: Fri, 10 May 2013 15:11:31 +0300
Carlos Alberto Lopez Perez <clopez@igalia.com> writes:

> On 10/05/13 07:41, Arto Jantunen wrote:
>> The difference between the GPL and the LGPL does solve the problem if
>> the program you are developing wants to link to both LGPL licensed and
>> GPL incompatible libraries, assuming that the license of the program
>> itself is not either GPL or LGPL. Parts of libav are GPL and the rest is
>> LGPL, thus the problem remains.
>
> So the problem all boils down that the fact that libav contains GPL code?

No, not as far as I understand this case. I haven't read through all of
the info, but as I see it this is about either avconv linking against
the GPL-incompatible fdk-aac or libav itself linking against it.

Neither of these options is ok since both libav and avconv are GPL
licensed. The difference between LGPL and GPL only matters in the other
direction, so even if libav was fully LGPL licensed, it could not link
against fdk-aac (due to the previously mentioned "no further
restrictions" clause in both GPL and LGPL).

-- 
Arto Jantunen



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694257; Package wnpp. (Fri, 10 May 2013 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 May 2013 16:03:04 GMT) Full text and rfc822 format available.

Message #50 received at 694257@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>, Arto Jantunen <viiru@debian.org>, 694257@bugs.debian.org
Cc: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#694257: fdk-aac: who knows more?
Date: Fri, 10 May 2013 18:03:11 +0200
Quoting Carlos Alberto Lopez Perez (2013-05-10 13:28:20)
> On 10/05/13 07:41, Arto Jantunen wrote:
> > The difference between the GPL and the LGPL does solve the problem 
> > if the program you are developing wants to link to both LGPL 
> > licensed and GPL incompatible libraries, assuming that the license 
> > of the program itself is not either GPL or LGPL. Parts of libav are 
> > GPL and the rest is LGPL, thus the problem remains.
> 
> So the problem all boils down that the fact that libav contains GPL 
> code?
> 
> I was supposing that libav was 100% LGPL (with no GPL code). If libav 
> contains GPL code then the whole viral nature of the GPL license will 
> entangle everything. AFAIK there is no practical difference between 
> being libav 100% GPL or beeing libav 1% GPL. You have to obey the GPL 
> in both cases, which means that you can't link libav with 
> GPL-incompatible license software.
> 
> Isn't it?

Please read the section "License of the Debian ffmpeg packages" of 
/usr/share/doc/libav-tools/README.Debian.gz and ask if afterwards these 
matters are is still uncertain.

The very purpose of that text is to clarify situations like this, I 
believe.  So we should promote that text whenever such issue comes up, 
and improve it if not clear enough.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694257; Package wnpp. (Fri, 10 May 2013 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 May 2013 18:57:04 GMT) Full text and rfc822 format available.

Message #55 received at 694257@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: Arto Jantunen <viiru@debian.org>, 694257@bugs.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#694257: fdk-aac: who knows more?
Date: Fri, 10 May 2013 20:55:45 +0200
On Fri, May 10, 2013 at 1:28 PM, Carlos Alberto Lopez Perez
<clopez@igalia.com> wrote:
> On 10/05/13 07:41, Arto Jantunen wrote:
>> The difference between the GPL and the LGPL does solve the problem if
>> the program you are developing wants to link to both LGPL licensed and
>> GPL incompatible libraries, assuming that the license of the program
>> itself is not either GPL or LGPL. Parts of libav are GPL and the rest is
>> LGPL, thus the problem remains.
>
> So the problem all boils down that the fact that libav contains GPL code?
>
> I was supposing that libav was 100% LGPL (with no GPL code). If libav
> contains GPL code then the whole viral nature of the GPL license will
> entangle everything. AFAIK there is no practical difference between
> being libav 100% GPL or beeing libav 1% GPL. You have to obey the GPL in
> both cases, which means that you can't link libav with GPL-incompatible
> license software.
>
> Isn't it?

In Debian and Ubuntu, we ship two flavors of libavcodec, one that is
GPLv2 licensed, and one that is GPLv3 licensed. None of them is LGPL.

HTH.

-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694257; Package wnpp. (Wed, 15 May 2013 05:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Beauxis <toots@rastageeks.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 May 2013 05:21:09 GMT) Full text and rfc822 format available.

Message #60 received at 694257@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: 694257@bugs.debian.org, control@bugs.debian.org
Subject: ITP: libfdk-aac -- The Fraunhofer FDK AAC Codec Library
Date: Wed, 15 May 2013 00:16:28 -0500
retitle 694257 ITP: libfdk-aac -- The Fraunhofer FDK AAC Codec Library
submitter 694257 1
thanks

  Hey guys.

I do intend to package this library. I've tested the encoder with
liquidsoap and it's indeed good quality.

Regarding my previous comments on the license, I've tried to get a
clarification about whether or not the license allows a commercial
software, with or without access to the (possibly modified) source
code and the answer was basically "we cannot answer your question".

Thus, I believe that the package will have to go to non-free.

Romain



Changed Bug title to 'ITP: libfdk-aac -- The Fraunhofer FDK AAC Codec Library' from 'RFP: libfdk-aac -- The Fraunhofer FDK AAC Codec Library' Request was from Romain Beauxis <toots@rastageeks.org> to control@bugs.debian.org. (Wed, 15 May 2013 05:21:18 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Romain Beauxis <toots@rastageeks.org>' from 'Carlos Alberto Lopez Perez <clopez@igalia.com>' Request was from Romain Beauxis <toots@rastageeks.org> to control@bugs.debian.org. (Wed, 15 May 2013 05:27:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 15 May 2013 20:09:31 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Carlos Alberto Lopez Perez <clopez@igalia.com>' from 'Romain Beauxis <toots@rastageeks.org>' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Thu, 16 May 2013 07:39:07 GMT) Full text and rfc822 format available.

Owner recorded as Romain Beauxis <toots@rastageeks.org>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Thu, 16 May 2013 07:39:08 GMT) Full text and rfc822 format available.

Reply sent to Romain Beauxis <toots@rastageeks.org>:
You have taken responsibility. (Thu, 16 May 2013 10:18:29 GMT) Full text and rfc822 format available.

Notification sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug acknowledged by developer. (Thu, 16 May 2013 10:18:29 GMT) Full text and rfc822 format available.

Message #75 received at 694257-close@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: 694257-close@bugs.debian.org
Subject: Bug#694257: fixed in fdk-aac 0.1.1+20130514-1
Date: Thu, 16 May 2013 10:00:05 +0000
Source: fdk-aac
Source-Version: 0.1.1+20130514-1

We believe that the bug you reported is fixed in the latest version of
fdk-aac, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694257@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Romain Beauxis <toots@rastageeks.org> (supplier of updated fdk-aac package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 May 2013 06:13:57 -0500
Source: fdk-aac
Binary: libfdk-aac0 libfdk-aac0-dbg libfdk-aac-dev aac-enc
Architecture: source amd64
Version: 0.1.1+20130514-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Romain Beauxis <toots@rastageeks.org>
Description: 
 aac-enc    - Fraunhofer FDK AAC Codec Library - frontend binary
 libfdk-aac-dev - Fraunhofer FDK AAC Codec Library - development files
 libfdk-aac0 - Fraunhofer FDK AAC Codec Library - runtime files
 libfdk-aac0-dbg - debugging symbols for libfdk-aac0
Closes: 694257
Changes: 
 fdk-aac (0.1.1+20130514-1) unstable; urgency=low
 .
   * Initial upload.
   Closes: #694257
Checksums-Sha1: 
 fec79a95460fbc803a3bdc2e5f1b765a2c30e366 1874 fdk-aac_0.1.1+20130514-1.dsc
 fffd209413335d6ce6bc650e53b395a0a3f88d9f 1636611 fdk-aac_0.1.1+20130514.orig.tar.gz
 977fe2bb40ddde54a0a758b3ed66081ef3b2b0a4 4340 fdk-aac_0.1.1+20130514-1.debian.tar.gz
 960d9fdf46a96e51bbb522f0a0ec9b0366ca7174 383476 libfdk-aac0_0.1.1+20130514-1_amd64.deb
 b23e6bdec836b5c2b6ba4415c5368daf3b116f8f 1130240 libfdk-aac0-dbg_0.1.1+20130514-1_amd64.deb
 e040917acd7a3458fc7b1618e5385330ddaafcaa 45290 libfdk-aac-dev_0.1.1+20130514-1_amd64.deb
 0a80e1fab4fa6363f68b18752c3b1f0fa8ea4e2e 9702 aac-enc_0.1.1+20130514-1_amd64.deb
Checksums-Sha256: 
 8bc0aa38f7e9097e5b5af5b6dd12cbf70d1e39c1e23c5e577c1e3b36c117f8c7 1874 fdk-aac_0.1.1+20130514-1.dsc
 ed144e2d239901f8e37df4032ec1f55b5b528442a614324703a9eceb98f5f57b 1636611 fdk-aac_0.1.1+20130514.orig.tar.gz
 78ca3ccba48ebc6c3408a9ff950365272aa9db4feae6d1f44a18e7ed0953a6b9 4340 fdk-aac_0.1.1+20130514-1.debian.tar.gz
 095d5a7cb60741a7d53d391f3f4adc1851e20d48006110905165aca87cee1042 383476 libfdk-aac0_0.1.1+20130514-1_amd64.deb
 939e407cd9ac42ee907e604eb87268f36b34f6cc90030ef7ce7df3ad7b6d9542 1130240 libfdk-aac0-dbg_0.1.1+20130514-1_amd64.deb
 ef87a20320d11cd3825b5fb884504e93103071b761d7c28b016224069a48c197 45290 libfdk-aac-dev_0.1.1+20130514-1_amd64.deb
 6da212004a021c783046905259501766b3901fb0382033422e1d87a93f913192 9702 aac-enc_0.1.1+20130514-1_amd64.deb
Files: 
 917f9f36815d0f624c36d32ac2104186 1874 non-free/libs optional fdk-aac_0.1.1+20130514-1.dsc
 34d5c11a01637bf198518c6797d81cf1 1636611 non-free/libs optional fdk-aac_0.1.1+20130514.orig.tar.gz
 74c2f1c0d59d30ba8a1da639f373c3bb 4340 non-free/libs optional fdk-aac_0.1.1+20130514-1.debian.tar.gz
 554fa23cfc7ca1eb49ebac6d6dda7375 383476 non-free/libs optional libfdk-aac0_0.1.1+20130514-1_amd64.deb
 b9ab5f90f9bf5286cb5f2b2e14e6af43 1130240 non-free/debug extra libfdk-aac0-dbg_0.1.1+20130514-1_amd64.deb
 e455dc15c2b9267fcf93f492e96e3c40 45290 non-free/libdevel optional libfdk-aac-dev_0.1.1+20130514-1_amd64.deb
 4487690666f1aa8ed0aaf8af113273ee 9702 non-free/sound optional aac-enc_0.1.1+20130514-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBAgAGBQJRkikIAAoJEAC5aaocqV0ZWV0H/36JExarIcbkT4TGzF4CyTgY
kzPbjSjYfVKzfydNoaJgdIGnyMXujH8duefHXuyQZOGKyRPl30/d8tTRiXztwiG3
2nX/d+lTs/tGdCYxRbIix/nq1WWIm1NXB6y/h0MhU/psNW4KY1cjR5Nat6dyXt2U
ot0uGSR3rtCKgJHR4wjXdK31IadOe7yNit3b7ppFuukW9x8cBmFp+VXL/KX176fm
Sh96uRFahSDU5xcZwrMOGb5pJStJ9O2/DZC1P/bxe8O56Zt0vcXsNUYjn4o/fDhx
t8bZWNdh032vJKx2YswAgGMyfHzRNS+aq9HpMprQbc6WK7dNpT08aJHjCBJeqhc=
=w7Bt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Jun 2013 07:51:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:51:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.